%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define _confdir /etc/storm/info-provider
%define _bdiidir /var/lib/bdii/gip

Name: storm-dynamic-info-provider
Version: 1.7.8
Release: 1%{?dist}
Summary: The StoRM dynamic info provider component

Group: Development/Libraries
License: Apache License 2.0
URL: https://github.com/italiangrid/storm-info-provider

Source:    %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: python2-devel

Requires: python
Requires: python-ldap
Requires: python-argparse
Requires: bdii

%if %{?python_json_package:1}%{!?python_json_package:0} 
Requires: %{python_json_package}
%endif

%description
This is the installation bundle for the StoRM info provider component.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libexecdir}
install -pm 0755 src/storm-info-provider $RPM_BUILD_ROOT%{_libexecdir}

install -d $RPM_BUILD_ROOT%{python2_sitelib}/info_provider
install -d $RPM_BUILD_ROOT%{python2_sitelib}/info_provider/glue
install -pm 0644 src/info_provider/glue/* $RPM_BUILD_ROOT%{python2_sitelib}/info_provider/glue
install -pm 0644 src/info_provider/*.py $RPM_BUILD_ROOT%{python2_sitelib}/info_provider

install -d $RPM_BUILD_ROOT%{_confdir}
install -d $RPM_BUILD_ROOT%{_confdir}/templates
install -pm 0755 config/templates/* $RPM_BUILD_ROOT%{_confdir}/templates

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 0644 man/* $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root,-)
%{_libexecdir}/storm-info-provider
%{python2_sitelib}/info_provider
%{_confdir}/templates
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%postun
rm -rf %{_bdiidir}/ldif/storm-glue13-static.ldif
rm -rf %{_bdiidir}/ldif/storm-glue2-static.ldif
rm -rf %{_bdiidir}/provider/storm-glue13-provider
rm -rf %{_bdiidir}/plugin/storm-glue13-plugin
rm -rf %{_bdiidir}/provider/storm-glue2-provider
rm -rf %{_bdiidir}/plugin/storm-glue2-plugin

%changelog
* Fri Mar 13 2015 Enrico Vianello <enrico.vianello at cnaf.infn.it> - 1.7.8-1
  Bumped version to 1.7.8-1 for StoRM v1.11.8 release

* Thu Mar 12 2015 Enrico Vianello <enrico.vianello at cnaf.infn.it> - 1.7.8-0
  Bumped version to 1.7.8-0

* Thu Mar 12 2015 Enrico Vianello <enrico.vianello at cnaf.infn.it> - 1.7.7-2
- Repackaged to add python-simplejson dependency on EL5

* Wed Nov 12 2014 Enrico Vianello <enrico.vianello at cnaf.infn.it> - 1.7.7-1
- Packaging for new python-based info provider
